<ng-container *ngIf="!dataLoading">
  <ecl-page-header class="header ecl-u-mb-xl">
    <div *ngIf="countryLabel" class="header__country-container ecl-u-mb-xs ecl-u-pt-s ecl-u-pb-xs">
      <ecl-icon
        iconSet="flag"
        [icon]="countryLabel.toLowerCase() === 'czech republic' ? 'czech-republic' : countryLabel.toLowerCase()"
        size="m" />
      <span class="header__country-label">{{ countryLabel }}</span>
      <ng-container *ngIf="region !== 'undefined'">
        <span>|</span>
        <span class="header__country-label"
          >{{ 'procedures-page.detail.region-of-label' | translate }} <b>{{ region }}</b></span
        >
      </ng-container>
    </div>
    <h1 eclPageHeaderTitle class="ecl-u-mb-l ecl-u-pt-none ecl-u-type-heading-3">{{ pageTitle | translate }}</h1>
  </ecl-page-header>
  <ng-container *ngIf="!errorState">
    <div class="ecl-container content-wrapper">
      <aside>
        <ecl-inpage-navigation [eclTitle]="pageTitle">
          <ecl-inpage-navigation-item
            *ngIf="procedureDetail.detail.description || procedureDetail.detail.localTitle.length > 0"
            [label]="'procedures-page.detail.nav-menu.intro-section-label' | translate"
            sectionId="intro-section"></ecl-inpage-navigation-item>
          <ecl-inpage-navigation-item
            [label]="'procedures-page.detail.nav-menu.evidences-section-label' | translate"
            sectionId="evidences-section"></ecl-inpage-navigation-item>
          <ecl-inpage-navigation-item
            [label]="'procedures-page.detail.nav-menu.requirements-section-label' | translate"
            sectionId="requirements-section"></ecl-inpage-navigation-item>
        </ecl-inpage-navigation>
      </aside>
      <section [attr.aria-label]="'aria-label.procedures-page.detail.content-section' | translate">
        <div
          *ngIf="procedureDetail.detail.description || procedureDetail.detail.localTitle.length > 0"
          id="intro-section"
          class="intro-section__container">
          <h2>{{ 'procedures-page.detail.intro-section.title' | translate }}</h2>
          <div *ngIf="procedureDetail.detail.description" eclPageHeaderDescriptionContainer class="ecl-u-mb-l ecl-u-pv-none">
            <p eclPageHeaderDescription>
              {{ procedureDetail.detail.description }}
            </p>
          </div>
          <div *ngIf="procedureDetail.detail.localTitle.length > 0" class="intro-section__alternative-languages-container">
            <span class="intro-section__alternative-languages-title ecl-u-type-bold">{{
              'procedures-page.detail.official-names.label' | translate
            }}</span>
            <div class="intro-section__alternative-languages-language" *ngFor="let localName of procedureDetail.detail.localTitle">
              <span class="code">{{ getLocalName(localName, 'code') }}</span>
              <span class="name">{{ getLocalName(localName, 'title') }}</span>
            </div>
          </div>
        </div>
        <div id="evidences-section" class="evidences-section__container">
          <h2>{{ 'procedures-page.detail.evidences-section.title' | translate }}</h2>
          <p class="evidences-section__description">{{ 'procedures-page.detail.evidences-section.description' | translate }}</p>
          <div class="evidences-section__select-container">
            <span class="ecl-u-d-block ecl-u-type-bold ecl-u-mb-l">{{
              'procedures-page.detail.evidences-section.country-select.label' | translate
            }}</span>
            <select eclSelect eclSize="m" [formControl]="countryControl">
              <option *ngFor="let option of countrySelectOptions" [value]="option.value"
                ><span><ecl-icon iconSet="flag" [icon]="option.value.toLowerCase()" size="m" />{{ option.label | translate }}</span></option
              >
            </select>
          </div>
          <ng-container *ngIf="selectedCountry">
            <div class="evidences-section__cards-container">
              <ng-container *ngFor="let item of evidenceCardListItems">
                <ng-container *ngTemplateOutlet="card; context: { $implicit: item }" />
              </ng-container>
            </div>
            <app-message-box
              *ngIf="!evidencesLoading && evidenceCardListItems.length === 0"
              [title]="evidencesMessage.title"
              [description]="evidencesMessage.description"
              [state]="evidencesMessage.state"></app-message-box>
            <div *ngIf="evidencesLoading" class="spinner-container ecl-u-mb-xl">
              <ecl-loading-indicator>
                <div eclSpinnerLabel>
                  {{ 'common.spinner.label' | translate }}
                </div>
              </ecl-loading-indicator>
            </div>
          </ng-container>
        </div>
        <div id="requirements-section" class="requirements-section__container">
          <h2>{{ 'procedures-page.detail.requirements-section.title' | translate }}</h2>
          <p class="requirements-section__description">{{ 'procedures-page.detail.requirements-section.description' | translate }}</p>
          <ul class="requirements-section__list-wrapper ecl-u-pa-none">
            <li class="requirements-section__list-item" *ngFor="let requirementListItem of requirementListItems" aria-live="polite">
              <ng-container *ngTemplateOutlet="accordionItem; context: { $implicit: requirementListItem }"></ng-container>
            </li>
          </ul>
        </div>
      </section>
    </div>
    <section
      *ngIf="proceduresTableData.body.length > 0"
      class="additional-procedures-section"
      [attr.aria-label]="'aria-label.procedures-page.detail.additional-procedures-section' | translate">
      <div class="ecl-container ecl-u-mh-auto">
        <app-table [tableData]="proceduresTableData" [tableConfig]="proceduresTableConfig" [isMobile]="isMobile"></app-table>
      </div>
    </section>
  </ng-container>
</ng-container>
<div *ngIf="errorState && !dataLoading" class="ecl-container">
  <app-message-box [title]="errorMessage.title" [description]="errorMessage.description" [state]="errorMessage.state"></app-message-box>
</div>
<div *ngIf="dataLoading" class="spinner-container ecl-u-mv-4xl">
  <ecl-loading-indicator>
    <div eclSpinnerLabel>
      {{ 'common.spinner.label' | translate }}
    </div>
  </ecl-loading-indicator>
</div>

<ng-template #accordionItem let-requirementListItem>
  <div class="accordion-item__item-container" [attr.aria-expanded]="requirementListItem.expanded">
    <span class="accordion-item__item-title">{{ requirementListItem.requirementName }}</span>
    <div class="accordion-item__item-arrow" (click)="changeExpandState(requirementListItem.requirementId)">
      <span *ngIf="!requirementListItem.expanded">{{ 'procedures-page.detail.requirements-section.open-label' | translate }}</span>
      <span *ngIf="requirementListItem.expanded">{{ 'procedures-page.detail.requirements-section.close-label' | translate }}</span>
      <ecl-icon
        *ngIf="!requirementListItem.expanded"
        iconSet="default"
        icon="corner-arrow"
        size="xs"
        color="primary"
        transform="rotate-180"></ecl-icon>
      <ecl-icon *ngIf="requirementListItem.expanded" iconSet="default" icon="corner-arrow" size="xs" color="primary"></ecl-icon>
    </div>
  </div>
  <div *ngIf="requirementListItem.expanded" class="accordion-item__expandable-container">
    <p class="ecl-u-mt-none">{{ requirementListItem.requirementDescription }}</p>
    <div class="accordion-item__expandable-link" [ngClass]="{ 'ecl-u-mb-m': requirementListItem.requirementEvidenceCountries.length > 0 }">
      <a
        [attr.aria-label]="'aria-label.link.navigate-requirement-detail' | translate"
        (click)="onLearnMoreClicked(requirementListItem?.requirementId)"
        >{{ 'procedures-page.detail.requirements-section.requirement-link' | translate }}</a
      >
      <ecl-icon icon="external" size="fluid" ariaHidden="false" role="img" color="primary" />
    </div>
    <ng-container *ngIf="requirementListItem.requirementEvidenceCountries.length > 0">
      <span class="ecl-u-type-bold">{{ 'procedures-page.detail.requirements-section.country-label' | translate }}</span>
      <ul class="accordion-item__expandable-countries-container ecl-u-pa-none ecl-u-mt-m">
        <li *ngFor="let country of requirementListItem.requirementEvidenceCountries">
          <ecl-icon
            iconSet="flag"
            [icon]="country.toLowerCase() === 'czech republic' ? 'czech-republic' : country.toLowerCase()"
            size="m" />
          {{ country }}
        </li>
      </ul>
    </ng-container>
  </div>
</ng-template>

<ng-template #card let-content>
  <div class="card__container">
    <div *ngFor="let evidence of content.evidencesDetails" class="card__content-container">
      <div class="card__content-evidence">
        <span class="ecl-u-type-bold ecl-u-mb-xs">Evidence</span>
        <a
          class="card__content-link"
          [attr.aria-label]="'aria-label.link.navigate-evidence-detail' | translate"
          (click)="onLinkClickHandler(evidence.evidenceId, 'evidence')"
          >{{ evidence.evidenceTitle }}</a
        >
        <span *ngIf="evidence.description" class="card__content-description">{{ evidence.evidenceDescription }}</span>
      </div>
      <div class="card__content-provider">
        <span class="ecl-u-type-bold ecl-u-mb-xs">Issuing authority</span>
        <div *ngFor="let provider of evidence.evidenceProviders" class="card__content-provider-label">
          <img src="assets/icons/procedures-authority-icon.svg" alt="" />
          <a
            class="card__content-link"
            [attr.aria-label]="'aria-label.link.navigate-provider-detail' | translate"
            (click)="onLinkClickHandler(provider.id, 'provider')"
            >{{ provider.title }}</a
          >
        </div>
        <span *ngIf="evidence.evidenceProviders?.length === 0" class="card__content-provider--empty-state">{{
          'procedures-page.detail.evidence-card.empty-providers.title' | translate
        }}</span>
      </div>
      <div class="card__content-requirement">
        <span class="ecl-u-type-bold ecl-u-mb-xs">Procedural requirement</span>
        <div class="card__content-requirement-label">
          <img src="assets/icons/procedures-requirement-icon.svg" alt="" />
          <a
            class="card__content-link"
            [attr.aria-label]="'aria-label.link.navigate-requirement-detail' | translate"
            (click)="onLinkClickHandler(evidence.requirementId, 'requirement')"
            >{{ evidence.requirementName }}</a
          >
        </div>
      </div>
      <div class="card__separator">
        <span class="card__separator-label">AND</span>
      </div>
    </div>
  </div>
</ng-template>
